DefaultCookieSpecProvider (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.cookie
Class DefaultCookieSpecProvider

    java.lang.Object
      org.apache.http.impl.cookie.DefaultCookieSpecProvider

All Implemented Interfaces:
  CookieSpecProvider

    @Contract(threading=IMMUTABLE)
    public class DefaultCookieSpecProvider

extends Object
implements CookieSpecProvider

`CookieSpecProvider` implementation that provides an instance of `DefaultCookieSpec`. The instance returned by this factory can be shared by multiple threads.

Since:
  4.4

Nested Class Summary
`static class` | `DefaultCookieSpecProvider.CompatibilityLevel`

Constructor Summary
`DefaultCookieSpecProvider()`
`DefaultCookieSpecProvider(DefaultCookieSpecProvider.CompatibilityLevel compatibilityLevel, PublicSuffixMatcher publicSuffixMatcher)`
`DefaultCookieSpecProvider(DefaultCookieSpecProvider.CompatibilityLevel compatibilityLevel, PublicSuffixMatcher publicSuffixMatcher, String[] datepatterns, boolean oneHeader)`
`DefaultCookieSpecProvider(PublicSuffixMatcher publicSuffixMatcher)`

Method Summary
`CookieSpec` | `create(org.apache.http.protocol.HttpContext context)` Creates an instance of `CookieSpec`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultCookieSpecProvider

    public DefaultCookieSpecProvider(DefaultCookieSpecProvider.CompatibilityLevel compatibilityLevel,
                                     PublicSuffixMatcher publicSuffixMatcher,
                                     String[] datepatterns,
                                     boolean oneHeader)

### DefaultCookieSpecProvider

    public DefaultCookieSpecProvider(DefaultCookieSpecProvider.CompatibilityLevel compatibilityLevel,
                                     PublicSuffixMatcher publicSuffixMatcher)

### DefaultCookieSpecProvider

    public DefaultCookieSpecProvider(PublicSuffixMatcher publicSuffixMatcher)

### DefaultCookieSpecProvider

    public DefaultCookieSpecProvider()

Method Detail

### create

    public CookieSpec create(org.apache.http.protocol.HttpContext context)

  Description copied from interface: `CookieSpecProvider`
  Creates an instance of `CookieSpec`.

  Specified by:
    `create` in interface `CookieSpecProvider`
  Returns:
    auth scheme.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.